NXOpen.UF.Sket.CreateGeometricConstraint

Sket.CreateGeometricConstraint()

Refer to UF_SKET_create_geometric_constraint for documentation.

Signature: CreateGeometricConstraint(sketchTag, conType, numConGeoms, conGeoms)

Parameters:
  • sketchTag (Tag) – Sketch tag.
  • conType (NXOpen.UF.Sket.ConType Refer to UF_SKET_con_type_e for documentation.) – Constraint type.Valid types are: UF_SKET_fixed UF_SKET_horizontal UF_SKET_vertical UF_SKET_constant_length UF_SKET_constant_angle UF_SKET_uniform_scaled UF_SKET_non_uniform_scaled UF_SKET_parallel UF_SKET_perpendicular UF_SKET_collinear UF_SKET_equal_length UF_SKET_equal_radius UF_SKET_coincident UF_SKET_concentric UF_SKET_midpoint UF_SKET_slope UF_SKET_tangent UF_SKET_point_on_curve UF_SKET_point_on_string
  • numConGeoms (int) – Number of constraint geometries
  • conGeoms (list of NXOpen.UF.Sket.ConGeom Refer to UF_SKET_con_geom_s for documentation.) – Array of constraint geometries (See type UF_SKET_con_geom_t in file uf_sket_types.h for the structure members).
Returns:

The tag of the createdgeometric constraint.

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING